const mongoose = require('mongoose');

const GitHubRepoSchema = mongoose.Schema({
  github_username: {
    type: String
  },
  avatar: {
    type: String
  },
  repo_name: {
    type: String
  },
  repo_URL: {
    type: String,
    require: true
  },
  description: {
    type: String
  },
  wiki: {
    type: String
  },
  language: {
    type: String
  },
  created_at: {
    type: Date
  },
  updated_at: {
    type: Date
  },
  last_push: {
    type: Date
  },
  forks: {
    type: Number
  },
  open_issues: {
    type: Number
  },
  watchers: {
    type: Number
  }
});

module.exports = mongoose.model('GitHubRepo', GitHubRepoSchema);
