import spacy
from collections import Counter
from string import punctuation


class keywords:
    """
    A class to extract technical related keywords from a text
    """

    def __init__(self, text):
        """
        Initialize a keyword object
        """
        self.text = text
        self.spacy_nlp = spacy.load("en_core_web_lg")

    def extract(self):
        """
        Extract keywords from the text
        """
        result = []
        pos_tag = ["PROPN", "ADJ", "NOUN"]
        doc = self.spacy_nlp(self.text.lower())
        for token in doc:
            if (
                token.text in self.spacy_nlp.Defaults.stop_words
                or token.text in punctuation
            ):
                continue
            if token.pos_ in pos_tag:
                result.append(token.text)

        return result
