from youtube import Youtube
from Medium import Medium
from Dev import DevTo
from stof import STOF
from github import GithubData
import sys
from database import get_database


def saveAnswer(ans_id, stackoverflow, videos, medium_r, dev_r, github_r):
    db = get_database()
    try:
        from bson.objectid import ObjectId

        automatedanswers = db["automatedanswers"]
        automatedanswers.update_one(
            {"_id": ObjectId(ans_id)},
            {
                "$set": {
                    "isLoading": False,
                    "isComplete": True,
                    "youtube": videos,
                    "stackoverflow": stackoverflow,
                    "medium_articles": medium_r.get("blogs", []),
                    "dev_articles": dev_r.get("blogs", []),
                    "medium_resources": medium_r.get("resources", []),
                    "dev_resources": dev_r.get("resources", []),
                    "github_repos": github_r.get("repos", []),
                    "github_links": github_r.get("links", []),
                }
            },
        )

    except NameError as err:
        print("ERRORRR")
        print(err)


if __name__ == "__main__":
    # title = "How to center a div verticly"
    title = sys.argv[1]
    #  "what are the benefits of using java for mobile app development over flutter"
    tags = sys.argv[2]
    # tags = ["flutter", "java"]
    AUTO_ANS_ID = sys.argv[3]
    # AUTO_ANS_ID = "60de81bf85684c45442aba3d"

    stack = STOF(title)
    medium = Medium(title, tags)
    devto = DevTo(title, tags)
    youtube = Youtube(title, tags)
    github = GithubData(title)
    ans = stack.searchQuestion()
    medium_articels = medium.getMediumArticles()
    dev_articles = devto.get_dev_articles()
    videos = youtube.find_videos()
    github_resources = github.get_github_resources(title)
    saveAnswer(
        AUTO_ANS_ID, ans, videos, medium_articels, dev_articles, github_resources
    )
    print("WORKED")
    sys.stdout.flush()
