import React, { useContext, useState } from 'react'
import { FetchContext } from '../../../store/fetch'
import styles from './no-automated-answer.module.css'
import { Spinner } from '../../icons'

const NoAutomatedAnswer = ({
  question_id,
  error,
  isGenerating,
  bindIsGenerating,
  setPollingTime
}) => {
  const [isAnswerGenerating, setIsAnswerGenerating] = useState(isGenerating)
  const { authAxios } = useContext(FetchContext)
  const req_body = {
    question_id
  }
  const requestAutomatedAnswer = async () => {
    try {
      const response = await authAxios.post('automatedanswer', req_body)
      if (response.status == 201) {
        setIsAnswerGenerating(true)
        bindIsGenerating(true)
        setPollingTime(1000)
      }
    } catch (err) {
      console.log(err)
    }
  }
  const { status, action, button, message } = error
  return (
    <div className={styles.no_automated_answer}>
      <h1 className={styles.title}>{message}</h1>
      {isAnswerGenerating ? (
        <Spinner className={styles.spinner} />
      ) : (
        <button
          className={styles.generate_btn}
          onClick={requestAutomatedAnswer}
        >
          {button}
        </button>
      )}
    </div>
  )
}

export default NoAutomatedAnswer
