import React, { useEffect } from 'react'
import styles from './BlogArticle.module.css'

import Prism from 'prismjs'

const BlogArticle = ({ article, source }) => {
  useEffect(() => {
    if (source === 'Medium') {
      var childs = document.getElementById('description').children
      var i = 0
      for (i = 0; i <= childs.length; i++) {
        try {
          if (childs[i].tagName == 'PRE') {
            hljs.highlightElement(childs[i])
          }
        } catch (error) {
          console.log('ALL PRE TAGS ARE PRETTIFIED')
        }
      }
      Prism.highlightAll()
    }
  }, [])
  const createMarkup = () => {
    return { __html: article.description }
  }
  return (
    <div className={styles.blog_article}>
      <span className={styles.title}>{article.title}</span>
      <div
        id="description"
        className={styles.description}
        dangerouslySetInnerHTML={createMarkup()}
      ></div>
    </div>
  )
}

export default BlogArticle
