import React from 'react'
import cn from 'classnames'

import Button from '../button'

import styles from './button-group.module.css'

const ButtonGroup = ({
  buttons,
  selected,
  setSelected,
  borderBottom = false
}) => {
  return (
    <div className={cn(styles.container, borderBottom && styles.borderBottom)}>
      {buttons.length == 4 ? (
        <span className={styles.sortspan}>Sort by:</span>
      ) : (
        ''
      )}
      <div className={styles.button_wrap}>
        {buttons.map((button) => (
          <Button
            key={button}
            className={selected === button && styles.active}
            onClick={() => setSelected(button)}
          >
            {button}
          </Button>
        ))}
      </div>
    </div>
  )
}

export default ButtonGroup
