import React from 'react'
import styles from './ExternalResources.module.css'

const ExternalResources = ({ source, links }) => {
  return (
    <div className={styles.external_resources_container}>
      <div className={styles.external_resources_header}>
        <h3 className={styles.external_resource_header_title}>{source}</h3>
      </div>
      <ul className={styles.external_resources_links}>
        {links.map((link, index) => {
          return (
            <li className={styles.external_resources_item} key={index}>
              <a
                href={link}
                target="_blank"
                rel="noopener noreferrer"
                className={styles.external_resources_link}
              >
                {decodeURIComponent(link.slice(0, 100))}
              </a>
            </li>
          )
        })}
      </ul>
    </div>
  )
}

export default ExternalResources
