import React from 'react'
import ExternalResources from './ExternalResources'
import styles from './ExternalResources.module.css'

const ExternalResourcesWrapper = ({ automated_answer }) => {
  const current_sources = ['medium', 'dev', 'github']
  const getResourcesFromSource = (source) => {
    switch (source) {
      case 'medium':
        return automated_answer.medium_resources || []
      case 'dev':
        return automated_answer.dev_resources || []
      case 'github':
        return automated_answer.github_links || []
      default:
        return []
    }
  }
  return (
    <div className={styles.external_resources_wrapper}>
      <div className={styles.external_resources_title_container}>
        <h3 className={styles.external_resources_title}>External Resources</h3>
      </div>
      {current_sources.map((source, index) => {
        let links = getResourcesFromSource(source)
        if (links.length > 0) {
          return <ExternalResources key={index} source={source} links={links} />
        }
      })}
    </div>
  )
}

export default ExternalResourcesWrapper
