import React, { useState, useEffect } from 'react'
import Styles from './ResourcePreview.module.css'
import ShowHide from '../show-hide/ShowHide'

const ResourcePreview = ({ articles, source, show, setShow }) => {
  const [thumbnail, setThumbnail] = useState('')

  const getThumbnail = () => {
    let thumbnails_list = [
      'https://www.mtu.edu/cs/images/trees-dark-blue-icons-6x6-card1200.jpg'
    ]
    articles.forEach((element) => {
      if (
        !(
          element.thumbnail == 'undefined' ||
          element.thumbnail == undefined ||
          element.thumbnail == null ||
          element.thumbnail == '' ||
          !element.thumbnail
        )
      ) {
        thumbnails_list.push(element.thumbnail)
        // setThumbnail(element.thumbnail)
        // return
      } else {
        console.log('IM NULL')
        console.log(element.thumbnail)
      }
    })
    if (thumbnails_list.length >= 2) {
      thumbnails_list.shift()
    }
    return thumbnails_list
  }

  const setThumbnailFromList = (thumbnails) => {
    setThumbnail(thumbnails[Math.floor(Math.random() * thumbnails.length)])
  }

  useEffect(() => {
    let list = getThumbnail()
    if (list.length > 1) {
      let thumbnail_interval = setInterval(() => {
        setThumbnailFromList(list)
      }, 5000)
      return () => {
        clearInterval(thumbnail_interval)
      }
    } else {
      setThumbnail(list[0])
    }
  }, [])

  const onError = (e) => {
    console.log('ON ERROR')
    console.log(thumbnail)
    e.target.src =
      'https://www.mtu.edu/cs/images/trees-dark-blue-icons-6x6-card1200.jpg'
  }
  return (
    <div
      className={
        show ? Styles.article_preview_hide : Styles.article_preview_active
      }
    >
      <div className={show ? Styles.preview : Styles.preview}>
        <img
          src={thumbnail}
          onError={onError}
          alt="article image"
          className={Styles.preview_img}
        />
      </div>
      <div className={Styles.action_bar}>
        <h1 className={Styles.title}>
          Here {articles.length > 1 ? 'are' : 'is'} {articles.length} article
          {articles.length > 1 && 's'} I found on {source}
        </h1>
        <ShowHide show={show} onClick={() => setShow(!show)} />
      </div>
    </div>
  )
}

export default ResourcePreview
