import React from 'react'
import Head from 'next/head'
import Layout from '../../components/layout'
import PageTitle from '../../components/page-title'
import TelegramWrapper from '../../components/telegram/telegram-wrapper/TelegramWrapper'

const Connect = () => {
  const isClient = typeof window === 'object'
  return (
    <Layout extra={false}>
      <Head>
        <title>Connect your telegram account</title>
        <link rel="canonical" href={isClient && window.location.href}></link>
      </Head>
      <PageTitle title="Connect your Telegram account" />
      <TelegramWrapper />
    </Layout>
  )
}

export default Connect
